Skip to main content
GET
/
links
/
check
Check links
import requests

url = "https://{FUSION HOST}/api/links/check"

response = requests.get(url)

print(response.text)
true

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

subject
string

Subject to check links for.

object
string

Object to check links for.

The link type to check.

Possible link types:

  • DependsOn - The subject depends on the object.

  • Supports - The subject is depended on by the object (the reverse of dependsOn).

  • IsPartOf - The subject is part of the object, where the object is a group.

  • HasPart - The subject is a group, of which the object is a member (the reverse of isPartOf).

  • RelatesTo - The subject relates to the object. This is a uni-directional relationship that associates two objects that have none of the relationships described above.

  • InContextOf - The subject exists in the context of the object, which is an app.

  • HasContext - The subject is an app that contains the object.

  • Self - The subject and the object are the same.

Available options:
dependsOn,
supports,
isPartOf,
hasPart,
relatesTo,
inContextOf,
hasContext,
self

Response

200 - */*

successful operation

The response is of type boolean.